
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #405

Invisible repeat button with Ivory and Osmosis skin

February 17, 2014 23:10 - Thomas Lange

Status: Closed Start date: February 17, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.5   

Affects version: 3.4.3   

Description

The repeat button of the Ivory skin is invisible.

Strangely Osmosis (Ivory inverted) is not affected.

Screenshot attached.

History

#1 - February 17, 2014 23:18 - Thomas Lange

- Subject changed from Invisible repeat button with Ivory skin to Invisible repeat button with Ivory and Osmosis skin

This is getting even more confusing.

After a restart the button is invisible for one of the two skins.

If the other skin is selected, the button gets visible.

And the restart changes all again.

#2 - February 18, 2014 05:38 - John Lindgren

This is a regression from the fix for #299.

The fix was not taking effect consistently; now it is:

https://github.com/audacious-media-player/audacious-plugins/commit/1cb8af47cbcb81308e3418feb702af7cd7b35221

So now the Ivory and Osmosis skins are consistently broken. :/

#3 - February 18, 2014 05:53 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.5

- % Done changed from 0 to 100

Fixed by moving repeat and shuffle buttons to the left 5 pixels.  Since actual Winamp 2 skins don't have a skin.hints file, I don't think we need to

support displaying widgets partially outside the window boundary (and they would be a headache to support because of #299).

https://github.com/audacious-media-player/audacious-plugins/commit/3b6686655106e3b0628843b834efdda705ffc524
